OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2014
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.APPLE.FlushBufferRange

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the APPLE_flush_buffer_range extension, see http://www.opengl.org/registry/specs/APPLE/flush_buffer_range.txt.

Synopsis

- glBufferParameteri :: GLenum -> GLenum -> GLint -> IO ()
- glFlushMappedBufferRange :: GLenum -> GLintptr -> GLsizeiptr -> IO ()
- gl__BUFFER_SERIALIZED_MODIFY :: GLenum
- gl_BUFFER_FLUSHING_UNMAP :: GLenum

# Functions

glBufferParameteri :: GLenum -> GLenum -> GLint -> IO ()

glFlushMappedBufferRange :: GLenum -> GLintptr -> GLsizeiptr -> IO ()

# Tokens

gl__BUFFER_SERIALIZED_MODIFY :: GLenum

gl_BUFFER_FLUSHING_UNMAP :: GLenum